#!/usr/bin/python

from distutils.core import setup
import glob, os, re

# look/set what version we have
changelog = "debian/changelog"
if os.path.exists(changelog):
    head=open(changelog).readline()
    match = re.compile(".*\((.*)\).*").match(head)
    if match:
        version = match.group(1)
        
setup(name='arsenal',
      version=version,
      scripts=[
          'bug-listing',
          'bugtotals',
          'collect-team-packagebugs',
          'collect-ubuntu-releases',
          'collect-xorg-package-status',
          'git-commit-log',
          'karma',
          'make_page',
          'milebugs',
          'patch_bugs',
          'stats-bugs.py',
          'top-karma',
          'upstream',
          'upstream-rankings',
          'upstream-report',
          'xorg-report',
          ],
      packages=[],
      )
