#!/usr/bin/python

from arsenal_lib import *
from lpltoolkit import LaunchpadService

lp          = LaunchpadService()
d           = lp.load_project("ubuntu")

#ubuntu = lp.launchpad.load("https://api.launchpad.net/beta/ubuntu")

next_milestone = None
for series in d.series:
    print "%-10s %-10s %-10s %-20s %-25s" % (series.name, series.active, series.supported, series.status, series.date_created)
    if series.status == "Active Development" or series.status == "Pre-release Freeze":
        for milestone in series.active_milestones: 
            if not milestone:
                next
            print "    %-20s %-25s" % (milestone.name, milestone.date_targeted)

            if not next_milestone or not next_milestone.date_targeted or \
                    milestone.date_targeted < next_milestone.date_targeted:
                next_milestone = milestone

print "The next milestone is ", next_milestone.name
